Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class AbstractPrinterPhysicalReader

    java.lang.Object
      com.connecterra.util.event.AbstractEventProcessor
          com.connecterra.ale.reader.AbstractPhysicalDevice
              com.connecterra.ale.reader.AbstractPollingPhysicalDevice
                  com.connecterra.ale.reader.AbstractDispatchingPollingPhysicalDevice
                      com.connecterra.ale.reader.AbstractPrinterPhysicalReader

All Implemented Interfaces:
  com.bea.rfid.edge.api.telemetry.Telemetered, ChannelManager.Proxy, PhysicalDevice, Controllable, EventProcessor, com.connecterra.util.plugin.Plugin

    public abstract class AbstractPrinterPhysicalReader

extends AbstractDispatchingPollingPhysicalDevice

Base class for rfid printers.

Nested Class Summary

Nested classes/interfaces inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice
`AbstractPhysicalDevice.AFIReadingTagProcessor, AbstractPhysicalDevice.BankReadTagProcessor, AbstractPhysicalDevice.BankTagProcessor, AbstractPhysicalDevice.BankWriteTagProcessor, AbstractPhysicalDevice.EPCglobalClass1Gen2TagProcessor, AbstractPhysicalDevice.EPCglobalTagProcessor, AbstractPhysicalDevice.EPCglobalTagReadProcessor, AbstractPhysicalDevice.EPCglobalTagWriteProcessor, AbstractPhysicalDevice.EPCTagData, AbstractPhysicalDevice.Requests, AbstractPhysicalDevice.TagData, AbstractPhysicalDevice.TagProcessor, AbstractPhysicalDevice.TagResultException`

Nested classes/interfaces inherited from class com.connecterra.util.event.AbstractEventProcessor
`AbstractEventProcessor.PeriodicEventHandle`

Field Summary

Fields inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice
`m_channelManager`

Constructor Summary
`AbstractPrinterPhysicalReader()`

Method Summary
`static void` | `addToPluginMeta(DynamicConfigFactory factory, PluginMeta pm)`
`protected abstract void` | `print(com.connecterra.ale.reader.PollingDeviceUnit deviceUnit, long[] epcData, Long securePasswordData, Long newKillPasswordData, Long newAccessPasswordData, Long newLockValue, Long newLockMask, Map parameters)` This method should print a tag.

Methods inherited from class com.connecterra.ale.reader.AbstractDispatchingPollingPhysicalDevice
`inventoryTagsInField`

Methods inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice
`addAFIParametersToPluginMeta, addDeviceChannel, addDeviceUnit, addForceAFIParameterToPluginMeta, addReadAFIParameterToPluginMeta, addReaderThread, addTagData, getChannelState, getDeviceUnit, getForcedAFIValue, getLogger, getLogicalReaderSet, getPhysicalDeviceName, initialize, initializeSession, initializeSession, isForceAFI, isReadAFI, processOpSpecs, removeReaderThread, report, sendStatusRequest, setDeviceAttributes, shutdown, terminate, toString, updateRequests, waitForShutdown, waitForTermination`

Methods inherited from class com.connecterra.util.event.AbstractEventProcessor
`doASAP, doASAPOrBlock, doASAPOrDrop, doASAPOrThrow, doLater, doPeriodic, getEventReceiver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.connecterra.util.plugin.Plugin
`initialize`

Methods inherited from interface com.bea.rfid.edge.api.telemetry.Telemetered
`getDeviceAttributes, getDeviceType, getTelemetryAssociatedIdentity, telemeter`

Methods inherited from interface com.connecterra.ale.reader.ChannelManager.Proxy
`initialize, listenerExecute`

Methods inherited from interface com.connecterra.util.event.EventProcessor
`handleEvent`

Constructor Detail

### AbstractPrinterPhysicalReader

    public AbstractPrinterPhysicalReader()

Method Detail

### print

    protected abstract void print(com.connecterra.ale.reader.PollingDeviceUnit deviceUnit,
                                  long[] epcData,
                                  Long securePasswordData,
                                  Long newKillPasswordData,
                                  Long newAccessPasswordData,
                                  Long newLockValue,
                                  Long newLockMask,
                                  Map parameters)
                           throws IOException,
                                  AbstractPhysicalDevice.TagResultException

  This method should print a tag.

  Parameters:
    `deviceUnit` - the PollingDeviceUnit to print to
    `epcData` - the value of the epc to print
    `securePasswordData` - a password to use to enter secure mode if the tag is locked. This may be null if no password should be used.
    `newKillPasswordData` - a new kill password to write to the tag. This may be null if no kill password should be written.
    `newAccessPasswordData` - a new access password to write to the tag. This may be null if no kill password should be written.
    `newLockValue` - new lock value to write to the tag. This is masked by newLockMask below. This may be null if the locks bits will be unchanged. If this is non-null, then newLockMask will be non-null as well.
    `newLockMask` - mask bits which specify which new lock bits to set on the tag. This may be null if the locks bits will be unchanged. If this is non-null, then newLockValue will be non-null as well.
    `parameters` - a Map whose keys and values are Strings. The values may be used by the driver as it sees fit.
  Throws:
    `IOException`
    `AbstractPhysicalDevice.TagResultException`

### addToPluginMeta

    public static void addToPluginMeta(DynamicConfigFactory factory,
                                       PluginMeta pm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD